<flat-profile>

<!-- This is the example SPA template, version 4 -->

<Provision_Enable>Yes</Provision_Enable>
<Resync_On_Reset>Yes</Resync_On_Reset>
<Resync_From_SIP>Yes</Resync_From_SIP>
<Auth_Resync-Reboot_1_>Yes</Auth_Resync-Reboot_1_>
<Resync_Periodic>3600</Resync_Periodic>

@// `$timezoneString' is generated in `providers/spa.php'.
<Time_Zone>{$timezoneString}</Time_Zone>
<Daylight_Saving_Time_Rule></Daylight_Saving_Time_Rule>
<Daylight_Saving_Time_Enable>No</Daylight_Saving_Time_Enable>
<Primary_NTP_Server>{$OPERATOR_IP}</Primary_NTP_Server>
<Secondary_NTP_Server></Secondary_NTP_Server>


<Voice_Mail_Number>{$VOICEMAIL_EXT}</Voice_Mail_Number>

<Admin_Passwd>{$ADMIN_PASSWORD}</Admin_Passwd>


@ for ($i = 1; $i <= $MAX_LINES; $i++) {
	@ if (isset($LINES[$i - 1])) {
		@ $data = $LINES[$i - 1];
		@
		@ // The `transliterate' function removes accented characters,
		@ // which the phone cannot display, from user's full name.
		@ // The exact transliteration rules are configured in Operator Administration.
		@
		@ $displayName = ($data['USER_FULLNAME'] ? transliterate($data['USER_FULLNAME']) . ' ' : '') . $data['TELNUM'];
		@
		<Line_Enable_{$i}_>Yes</Line_Enable_{$i}_>
		<Proxy_{$i}_>{$OPERATOR_IP}</Proxy_{$i}_>
		<Display_Name_{$i}_>{$displayName}</Display_Name_{$i}_>
		<Short_Name_{$i}_>{$displayName}</Short_Name_{$i}_>
		<User_ID_{$i}_>{$data['SIP_USERNAME']}</User_ID_{$i}_>
		<Password_{$i}_>{$data['SIP_PASSWORD']}</Password_{$i}_>
		<Dial_Plan_{$i}_>{$DIALPLAN}</Dial_Plan_{$i}_>
	@ } else {
		@// We have to generate a section even for unconfigured lines, so that
		@// e.g. when the user configures two lines and then removes one of
		@// them, it gets cleared from the phone. Without this section, it would
		@// remain there forever (or at least until replaced by another one).

		<Line_Enable_{$i}_>No</Line_Enable_{$i}_>
		<Proxy_{$i}_></Proxy_{$i}_>
		<Display_Name_{$i}_></Display_Name_{$i}_>
		<User_ID_{$i}_></User_ID_{$i}_>
		<Password_{$i}_></Password_{$i}_>
		<Short_Name_{$i}_></Short_Name_{$i}_>
		<Dial_Plan_{$i}_></Dial_Plan_{$i}_>
	@ }
@ }


</flat-profile>
